# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_adfsapplicationgroup`](#dsc_adfsapplicationgroup): The DSC AdfsApplicationGroup resource type. Automatically generated from version 1.1.0
* [`dsc_adfsapplicationpermission`](#dsc_adfsapplicationpermission): The DSC AdfsApplicationPermission resource type. Automatically generated from version 1.1.0
* [`dsc_adfscertificate`](#dsc_adfscertificate): The DSC AdfsCertificate resource type. Automatically generated from version 1.1.0
* [`dsc_adfsclaimdescription`](#dsc_adfsclaimdescription): The DSC AdfsClaimDescription resource type. Automatically generated from version 1.1.0
* [`dsc_adfscontactperson`](#dsc_adfscontactperson): The DSC AdfsContactPerson resource type. Automatically generated from version 1.1.0
* [`dsc_adfsfarm`](#dsc_adfsfarm): The DSC AdfsFarm resource type. Automatically generated from version 1.1.0
* [`dsc_adfsfarmnode`](#dsc_adfsfarmnode): The DSC AdfsFarmNode resource type. Automatically generated from version 1.1.0
* [`dsc_adfsglobalauthenticationpolicy`](#dsc_adfsglobalauthenticationpolicy): The DSC AdfsGlobalAuthenticationPolicy resource type. Automatically generated from version 1.1.0
* [`dsc_adfsglobalwebcontent`](#dsc_adfsglobalwebcontent): The DSC AdfsGlobalWebContent resource type. Automatically generated from version 1.1.0
* [`dsc_adfsnativeclientapplication`](#dsc_adfsnativeclientapplication): The DSC AdfsNativeClientApplication resource type. Automatically generated from version 1.1.0
* [`dsc_adfsorganization`](#dsc_adfsorganization): The DSC AdfsOrganization resource type. Automatically generated from version 1.1.0
* [`dsc_adfsproperties`](#dsc_adfsproperties): The DSC AdfsProperties resource type. Automatically generated from version 1.1.0
* [`dsc_adfsrelyingpartytrust`](#dsc_adfsrelyingpartytrust): The DSC AdfsRelyingPartyTrust resource type. Automatically generated from version 1.1.0
* [`dsc_adfssslcertificate`](#dsc_adfssslcertificate): The DSC AdfsSslCertificate resource type. Automatically generated from version 1.1.0
* [`dsc_adfswebapiapplication`](#dsc_adfswebapiapplication): The DSC AdfsWebApiApplication resource type. Automatically generated from version 1.1.0

## Resource types

### <a name="dsc_adfsapplicationgroup"></a>`dsc_adfsapplicationgroup`

The DSC AdfsApplicationGroup resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsapplicationgroup` type.

##### `dsc_description`

Data type: `Optional[String]`

Specifies a description for the application group.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the Application Group should be present or absent. Default value is 'Present'.

#### Parameters

The following parameters are available in the `dsc_adfsapplicationgroup` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Specifies a name for the application group.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsapplicationpermission"></a>`dsc_adfsapplicationpermission`

The DSC AdfsApplicationPermission resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsapplicationpermission` type.

##### `dsc_description`

Data type: `Optional[String]`

Specifies a description for the Application Permission.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the Application Permission should be present or absent. Default value is 'Present'.

##### `dsc_scopenames`

Data type: `Optional[Array[String]]`

Specifies an array of scope names.

#### Parameters

The following parameters are available in the `dsc_adfsapplicationpermission` type.

* [`dsc_clientroleidentifier`](#dsc_clientroleidentifier)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_serverroleidentifier`](#dsc_serverroleidentifier)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_clientroleidentifier"></a>`dsc_clientroleidentifier`

namevar

Data type: `String`

Specifies a client role identifier.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_serverroleidentifier"></a>`dsc_serverroleidentifier`

namevar

Data type: `String`

Specifies a server role identifier.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfscertificate"></a>`dsc_adfscertificate`

The DSC AdfsCertificate resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfscertificate` type.

##### `dsc_thumbprint`

Data type: `String`

Specifies the thumbprint of the certificate to use.

#### Parameters

The following parameters are available in the `dsc_adfscertificate` type.

* [`dsc_certificatetype`](#dsc_certificatetype)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_certificatetype"></a>`dsc_certificatetype`

namevar

Data type: `Enum['Service-Communications', 'Token-Decrypting', 'Token-Signing']`

Specifies the certificate type (that is, how the Federation Service uses the certificate).

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsclaimdescription"></a>`dsc_adfsclaimdescription`

The DSC AdfsClaimDescription resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsclaimdescription` type.

##### `dsc_claimtype`

Data type: `String`

Specifies the claim type URN or URI of the claim.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the claim description should be present or absent. Default value is 'Present'.

##### `dsc_isaccepted`

Data type: `Optional[Boolean]`

Indicates whether the claim is published in federation metadata as a claim that the Federation Service accepts.

##### `dsc_isoffered`

Data type: `Optional[Boolean]`

Indicates whether the claim is published in federation metadata as a claim that the Federation Service offers.

##### `dsc_isrequired`

Data type: `Optional[Boolean]`

Indicates whether the claim is published in federation metadata as a claim that the Federation Service requires.

##### `dsc_notes`

Data type: `Optional[String]`

Specifies text that describes the purpose of the claim description.

##### `dsc_shortname`

Data type: `Optional[String]`

Specifies a short name for the claim description.

#### Parameters

The following parameters are available in the `dsc_adfsclaimdescription` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Specifies a friendly name for the claim description.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfscontactperson"></a>`dsc_adfscontactperson`

The DSC AdfsContactPerson resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfscontactperson` type.

##### `dsc_company`

Data type: `Optional[String]`

Specifies the company name of the contact person.

##### `dsc_emailaddress`

Data type: `Optional[Array[String]]`

Specifies an array of e-mail addresses of the contact person.

##### `dsc_givenname`

Data type: `Optional[String]`

Specifies the given name of the contact person.

##### `dsc_surname`

Data type: `Optional[String]`

Specifies the surname, or last name, of the contact person.

##### `dsc_telephonenumber`

Data type: `Optional[Array[String]]`

Specifies an array of telephone numbers of the contact person.

#### Parameters

The following parameters are available in the `dsc_adfscontactperson` type.

* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the name of the Federation Service.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsfarm"></a>`dsc_adfsfarm`

The DSC AdfsFarm resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsfarm` type.

##### `dsc_adminconfiguration`

Data type: `Optional[Array[Struct[{
              key => Optional[String],
              value => Optional[String],
            }]]]`

Specifies the Admin Configuration

##### `dsc_certificatethumbprint`

Data type: `String`

Specifies the thumbprint of the certificate to use for HTTPS bindings and service communication for ADFS. This value should match the thumbprint of a valid certificate in the Local Computer certificate store.

##### `dsc_ensure`

Data type: `Optional[String]`

The state of the ADFS Farm.

##### `dsc_federationservicedisplayname`

Data type: `Optional[String]`

Specifies the display name of the Federation Service.

##### `dsc_groupserviceaccountidentifier`

Data type: `Optional[String]`

Specifies the Group Managed Service Account under which the Active Directory Federation Services (AD FS) service runs.

##### `dsc_overwriteconfiguration`

Data type: `Optional[Boolean]`

This parameter must be used to remove an existing Active Directory Federation Services (AD FS) configuration database and overwrite it with a new database.

##### `dsc_sqlconnectionstring`

Data type: `Optional[String]`

Specifies the SQL Server database that will store the AD FS configuration settings. If not specified, the AD FS installer uses the Windows Internal Database to store configuration settings.

#### Parameters

The following parameters are available in the `dsc_adfsfarm` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_serviceaccountcredential`](#dsc_serviceaccountcredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies a PSCredential object that must have domain administrator privileges.

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the DNS name of the federation service. This value must match the subject name of the specified certificate.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_serviceaccountcredential"></a>`dsc_serviceaccountcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies the Active Directory account under which the AD FS service runs in the form: <domain name>\<user name>.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsfarmnode"></a>`dsc_adfsfarmnode`

The DSC AdfsFarmNode resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsfarmnode` type.

##### `dsc_certificatethumbprint`

Data type: `String`

Specifies the value of the certificate thumbprint of the certificate that should be used in the SSL binding of the Default Web Site in IIS. This value should match the thumbprint of a valid certificate in the Local Computer certificate store.

##### `dsc_ensure`

Data type: `Optional[String]`

The state of the ADFS Farm.

##### `dsc_groupserviceaccountidentifier`

Data type: `Optional[String]`

Specifies the Group Managed Service Account under which the Active Directory Federation Services (AD FS) service runs.

##### `dsc_overwriteconfiguration`

Data type: `Optional[Boolean]`

This parameter must be used to remove an existing AD FS configuration database and overwrite it with a new database.

##### `dsc_primarycomputername`

Data type: `Optional[String]`

Specifies the name of the primary in a farm. The cmdlet adds the computer to the farm that has the primary that you specify.

##### `dsc_primarycomputerport`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the primary computer port. The computer uses the HTTP port that you specify to connect with the primary computer in order to synchronize configuration settings. Specify a value of 80 for this parameter, or specify an alternate value if the HTTP port on the primary computer is not 80. If this parameter is not specified, a default port value of 80 is assumed.

##### `dsc_sqlconnectionstring`

Data type: `Optional[String]`

Specifies the SQL Server database that will store the AD FS configuration settings. If not specified, AD FS uses Windows Internal Database to store configuration settings.

#### Parameters

The following parameters are available in the `dsc_adfsfarmnode` type.

* [`dsc_credential`](#dsc_credential)
* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_serviceaccountcredential`](#dsc_serviceaccountcredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_credential"></a>`dsc_credential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies a PSCredential object that must have domain administrator privileges.

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the DNS name of the federation service.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_serviceaccountcredential"></a>`dsc_serviceaccountcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies the Active Directory account under which the AD FS service runs. All nodes in the farm must use the same
service account.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsglobalauthenticationpolicy"></a>`dsc_adfsglobalauthenticationpolicy`

The DSC AdfsGlobalAuthenticationPolicy resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsglobalauthenticationpolicy` type.

##### `dsc_additionalauthenticationprovider`

Data type: `Optional[Array[String]]`

Specifies an array of names of external authentication providers to add to the global policy.

##### `dsc_allowadditionalauthenticationasprimary`

Data type: `Optional[Boolean]`

Specifying this parameter configures an external authentication provider for second stage authentication in the global policy.

##### `dsc_clientauthenticationmethods`

Data type: `Optional[Array[Enum['ClientSecretPostAuthentication', 'ClientSecretBasicAuthentication', 'PrivateKeyJWTBearerAuthentication', 'WindowsIntegratedAuthentication', 'None']]]`

Specifying this parameter configures an external authentication provider, for second stage authentication, in the global policy

##### `dsc_deviceauthenticationenabled`

Data type: `Optional[Boolean]`

Specifies whether device authentication is enabled for the global policy.

##### `dsc_deviceauthenticationmethod`

Data type: `Optional[Enum['All', 'ClientTLS', 'SignedToken']]`

Specifying this parameter configures an external authentication provider, for second stage authentication, in the global policy.

##### `dsc_enablepaginatedauthenticationpages`

Data type: `Optional[Boolean]`

Enable the paginated authentication sign-in experience. This is only supported on Windows Server 2019 and above.

##### `dsc_primaryextranetauthenticationprovider`

Data type: `Optional[Array[String]]`

Specifies an array of names of authentication providers for the primary extranet to add to the global policy.

##### `dsc_primaryintranetauthenticationprovider`

Data type: `Optional[Array[String]]`

Specifies an array of names of authentication providers for the primary intranet to add to the global policy.

##### `dsc_windowsintegratedfallbackenabled`

Data type: `Optional[Boolean]`

Specifies whether fallback to Integrated Windows Authentication is enabled on the intranet.

#### Parameters

The following parameters are available in the `dsc_adfsglobalauthenticationpolicy` type.

* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the DNS name of the federation service.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsglobalwebcontent"></a>`dsc_adfsglobalwebcontent`

The DSC AdfsGlobalWebContent resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsglobalwebcontent` type.

##### `dsc_certificatepagedescriptiontext`

Data type: `Optional[String]`

Specifies the text on the certificate page. Active Directory Federation Services (AD FS) displays the text that you specify when it prompts the user for a certificate.

##### `dsc_companyname`

Data type: `Optional[String]`

Specifies the company name. AD FS displays the company name in the sign-in pages when you have not set a logo on the active web theme.

##### `dsc_errorpageauthorizationerrormessage`

Data type: `Optional[String]`

Specifies an error message to display when a user encounters any authorization errors that occur for a token request. This string can be an HTML fragment.

##### `dsc_errorpagedescriptiontext`

Data type: `Optional[String]`

Specifies an error message to display when a user encounters any generic errors that occur for a token request. This string can be an HTML fragment.

##### `dsc_errorpagedeviceauthenticationerrormessage`

Data type: `Optional[String]`

Specifies an error message to display for any device authentication errors that occur for a token request. Device authentication errors occur when the user presents an expired user@device certificate to AD FS, a certificate is not found in AD DS, or a certificate is disabled in AD DS. This string can be an HTML fragment.

##### `dsc_errorpagegenericerrormessage`

Data type: `Optional[String]`

Specifies an error message to display for any generic errors that occur for a token request. This string can be an HTML fragment.

##### `dsc_errorpagesupportemail`

Data type: `Optional[String]`

Specifies the support email address on the error page.

##### `dsc_helpdesklink`

Data type: `Optional[String]`

Specifies the help desk link that is shown on the logon pages for AD FS.

##### `dsc_helpdesklinktext`

Data type: `Optional[String]`

Specifies the help desk link text that is shown on the logon pages for AD FS.

##### `dsc_homelink`

Data type: `Optional[String]`

Specifies the Home link that is shown on the logon pages for AD FS.

##### `dsc_homelinktext`

Data type: `Optional[String]`

Specifies the Home link text that is shown on the logon pages for AD FS.

##### `dsc_homerealmdiscoveryotherorganizationdescriptiontext`

Data type: `Optional[String]`

Specifies the text for the home realm discovery description for other organization.

##### `dsc_homerealmdiscoverypagedescriptiontext`

Data type: `Optional[String]`

Specifies the text for the home realm discovery page description.

##### `dsc_organizationalnamedescriptiontext`

Data type: `Optional[String]`

Specifies text for the organizational name description.

##### `dsc_privacylink`

Data type: `Optional[String]`

Specifies the Privacy policy link that is shown on the logon pages for AD FS.

##### `dsc_privacylinktext`

Data type: `Optional[String]`

Specifies the Privacy policy link text that is shown on the logon pages for AD FS.

##### `dsc_signinpageadditionalauthenticationdescriptiontext`

Data type: `Optional[String]`

Specifies the description to display when an application prompts a user for additional authentication. The sign-in page can also display a description that is provided by the additional authentication provider.

##### `dsc_signinpagedescriptiontext`

Data type: `Optional[String]`

Specifies the description to display when a user signs in to applications by using AD FS. When you use Integrated Windows Authentication in the intranet, users do not see this page.

##### `dsc_signoutpagedescriptiontext`

Data type: `Optional[String]`

Specifies the description to display when a user signs out of applications.

##### `dsc_updatepasswordpagedescriptiontext`

Data type: `Optional[String]`

Specifies the description to display in the update password page when users change their passwords.

#### Parameters

The following parameters are available in the `dsc_adfsglobalwebcontent` type.

* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_locale`](#dsc_locale)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the DNS name of the federation service.

##### <a name="dsc_locale"></a>`dsc_locale`

namevar

Data type: `String`

Specifies a locale. The cmdlet sets global web content for the locale that you specify.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsnativeclientapplication"></a>`dsc_adfsnativeclientapplication`

The DSC AdfsNativeClientApplication resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsnativeclientapplication` type.

##### `dsc_applicationgroupidentifier`

Data type: `String`

Specifies the ID of an application group.

##### `dsc_description`

Data type: `Optional[String]`

Specifies a description for the native client application.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the ADFS native client application should be present or absent. Default value is 'Present'.

##### `dsc_identifier`

Data type: `String`

Specifies the identifier for the native client application.

##### `dsc_logouturi`

Data type: `Optional[String]`

Specifies the logout URI for the OAuth 2.0 client to register with the AD FS. When AD FS initiates a logout it redirects the client's user-agent to this URI by rendering this URI in an iframe. The value of this parameter must be an absolute URI, may include a query component, and must not include a fragment component.

##### `dsc_redirecturi`

Data type: `Optional[Array[String]]`

Specifies an array of redirection URIs for the OAuth 2.0 client to register with AD FS. The redirection URI is specified by the OAuth 2.0 client when it requests authorization to access a resource in ADFS.

#### Parameters

The following parameters are available in the `dsc_adfsnativeclientapplication` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Specifies the name for the native client application.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsorganization"></a>`dsc_adfsorganization`

The DSC AdfsOrganization resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsorganization` type.

##### `dsc_displayname`

Data type: `String`

Specifies the display name of the organization.

##### `dsc_name`

Data type: `String`

Specifies the name of the organization.

##### `dsc_organizationurl`

Data type: `String`

Specifies the URL of the organization.

#### Parameters

The following parameters are available in the `dsc_adfsorganization` type.

* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the name of the Federation Service.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsproperties"></a>`dsc_adfsproperties`

The DSC AdfsProperties resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsproperties` type.

##### `dsc_acceptableidentifiers`

Data type: `Optional[Array[String]]`

Specifies an array of identifiers that are acceptable names for the Federation Service when it checks the audience for claims that it receives from another claims provider.

##### `dsc_additionalerrorpageinfo`

Data type: `Optional[Enum['Private', 'Detailed', 'None']]`

Specifies the level of additional information that is displayed on ADFS error pages.

##### `dsc_allowlocaladminsserviceadministration`

Data type: `Optional[Boolean]`

Indicates that local administrator service administration is allowed.

##### `dsc_allowsystemserviceadministration`

Data type: `Optional[Boolean]`

Indicates that system service administration is allowed.

##### `dsc_artifactdbconnection`

Data type: `Optional[String]`

Specifies the connection string to use for the database that maintains the artifacts that the artifact resolution service uses.

##### `dsc_auditlevel`

Data type: `Optional[Array[Enum['None', 'Basic', 'Verbose']]]`

Specifies an array of audit levels.

##### `dsc_authenticationcontextorder`

Data type: `Optional[Array[String]]`

Specifies an array of authentication contexts, in order of relative strength. Specify each authentication context as a URI.

##### `dsc_autocertificaterollover`

Data type: `Optional[Boolean]`

Indicates whether the system manages certificates for the administrator and generates new certificates before the expiration date of current certificates.

##### `dsc_browserssoenabled`

Data type: `Optional[Boolean]`

Indicates that browser single sign-on (SSO) is enabled.

##### `dsc_browserssosupporteduseragents`

Data type: `Optional[Array[String]]`

Specifies an array of user agents that are supported for browser SSO.

##### `dsc_certificatecriticalthreshold`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the period of time, in days, prior to the expiration of a current primary signing or decryption certificate. When a certificate reaches this threshold, the Federation Service initiates the automatic certificate rollover service, generates a new certificate, and promotes it as the primary certificate. This rollover process occurs even if the critical threshold interval does not provide sufficient time for partners to replicate the new metadata. Specify a short period of time that is used only in extreme conditions when the Federation Service has not been able to generate a new certificate in advance.

##### `dsc_certificateduration`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the period of time, in days, that any certificates that the Federation Service generates remain valid.

##### `dsc_certificategenerationthreshold`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the period of time, in days, that any certificates that the Federation Service generates remain valid. The default value is 365 days.

##### `dsc_certificatepromotionthreshold`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the period of time, in days, during which a newly generated certificate remains a secondary certificate before being promoted as the primary certificate. The default value is 5 days.

##### `dsc_certificaterolloverinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the certificate rollover interval, in minutes. This value determines the frequency at which the Federation Service initiates the rollover service by polling to check whether new certificates need to be generated. The default value is 720 minutes.

##### `dsc_certificatethresholdmultiplier`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the certificate threshold multiplier. By default, this parameter uses the number of minutes in a day (1440) as a multiplier. Change this value only if you want to use a more finely detailed measure of time, such as less than a single day, for calculating the time periods for other certificate threshold parameters.

##### `dsc_delegateserviceadministration`

Data type: `Optional[String]`

Specifies the delegate service administration.

##### `dsc_deviceusagewindowindays`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the length of the device usage window in days.

##### `dsc_enableextranetlockout`

Data type: `Optional[Boolean]`

Indicates whether to enable the lockout algorithm for extranet. When enabled, AD FS checks attributes in Active Directory for the user before validating the credential. If the user is determined to be in lockout state, AD FS will deny the request to the user when accessing from the extranet, to prevent random login attempts from the extranet. Intranet access will continue to be validated against Active Directory.

##### `dsc_enableidpinitiatedsignonpage`

Data type: `Optional[Boolean]`

Specifies whether to enable the EnableIdPInitiatedSignonPage property.

##### `dsc_enablekmsi`

Data type: `Optional[Boolean]`

Indicates whether to enable the Keep Me Signed In (KMSI) option for form-based authentication. KMSI is limited to providing only 24 hours of SSO. Note that a workplace joined device gets 7 days of SSO by default and does not need this option enabled.

##### `dsc_enablelocalauthenticationtypes`

Data type: `Optional[Boolean]`

Indicates that local authentication types are enabled.

##### `dsc_enableloopdetection`

Data type: `Optional[Boolean]`

Indicates whether to enable loop detection. Loops occur when a relying party continuously rejects a valid security token and redirects back to AD FS. The cycle terminates after 6 loops have been detected.

##### `dsc_enableoauthdeviceflow`

Data type: `Optional[Boolean]`

Enabled the OAuth Device Flow.

##### `dsc_enablepersistentsso`

Data type: `Optional[Boolean]`

Indicates whether to store the SSO token in persistent cookies for devices joined to a workplace.

##### `dsc_enablerelaystateforidpinitiatedsignon`

Data type: `Optional[Boolean]`

Indicates that relay state for issuing distribution point (IDP) initiated sign-on is enabled.

##### `dsc_extendedprotectiontokencheck`

Data type: `Optional[Enum['Require', 'Allow', 'None']]`

Specifies the level of extended protection for authentication supported by the federation server. Extended Protection for Authentication helps protect against man-in-the-middle (MITM) attacks, in which an attacker intercepts a client's credentials and forwards them to a server. Protection against such attacks is made possible through a Channel Binding Token (CBT) which can be either required, allowed or not required by the server when establishing communications with clients.

##### `dsc_extranetlockoutmode`

Data type: `Optional[Enum['ADFSSmartLockoutLogOnly', 'ADFSSmartLockoutEnforce']]`

Specifies the maximum number of bad password attempts permitted against the directory before the account is throttled when accessing applications from the extranet for familiar locations. If you use Active Directory Domain Services account lockout policies, it is strongly recommended that you set this threshold to a value that is less than the threshold in AD DS to avoid lockout of the user inside and outside the network. This property is only supported in Windows Server 2019 and above.

##### `dsc_extranetlockoutrequirepdc`

Data type: `Optional[Boolean]`

Specifies whether extranet lockout requires a primary domain controller (PDC).

##### `dsc_extranetlockoutthreshold`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the maximum number of bad password attempts permitted against the directory before the account is throttled when accessing applications from the extranet for unfamiliar locations. If you use Active Directory Domain Services account lockout policies, it is strongly recommended that you set this threshold to a value that is less than the threshold in AD DS to avoid lockout of the user inside and outside the network.

##### `dsc_extranetlockoutthresholdfamiliarlocation`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the maximum number of bad password attempts permitted against the directory before the account is throttled when accessing applications from the extranet for familiar locations. If you use Active Directory Domain Services account lockout policies, it is strongly recommended that you set this threshold to a value that is less than the threshold in AD DS to avoid lockout of the user inside and outside the network. This property is only supported in Windows Server 2019 and above.

##### `dsc_extranetobservationwindow`

Data type: `Optional[String]`

Specifies the timespan of the lockout observation window. AD FS will reset a throttled state of an account when more than one observation window has expired since the last bad password attempt, as reported by Active Directory Domain Services. It is also possible that the last bad password field in AD DS is cleared by AD DS based on its own observation windows. In this case, AD FS will allow the request to be passed onto AD DS for validation.

##### `dsc_globalrelyingpartyclaimsissuancepolicy`

Data type: `Optional[String]`

Specifies a global relying party claims issuance policy.

##### `dsc_hostname`

Data type: `Optional[String]`

Specifies the network addressable host name of the Federation Service.

##### `dsc_httpport`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the HTTP port for the server.

##### `dsc_httpsport`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the HTTPS port for the server.

##### `dsc_identifier`

Data type: `Optional[String]`

Specifies the URI that uniquely identifies the Federation Service.

##### `dsc_idtokenissuer`

Data type: `Optional[String]`

Specifies the URI of the token issuer.

##### `dsc_ignoretokenbinding`

Data type: `Optional[Boolean]`

Specifies whether to ignore token binding.

##### `dsc_intranetuselocalclaimsprovider`

Data type: `Optional[Boolean]`

Indicates whether all web based requests from the intranet default to the default Active Directory claims provider. Use this parameter only when there is more than one claims provider trust in AD FS and you want all user access from the intranet to use the default Active Directory for authentication.

##### `dsc_kmsilifetimemins`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the lifetime of the sign on status for KMSI.

##### `dsc_loglevel`

Data type: `Optional[Array[Enum['Errors', 'FailureAudits', 'Information', 'Verbose', 'SuccessAudits', 'Warnings', 'None']]]`

Specifies an array of log detail. The array defines which types of events to record.

##### `dsc_loopdetectionmaximumtokensissuedininterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the maximum number of tokens that can be issued within the time period specified by the LoopDetectionTimeIntervalInSeconds parameter before AD FS will reject the request and present an error to the user. Use in conjunction with the LoopDetectionMaximumTokensIssuedInInterval parameter.

##### `dsc_loopdetectiontimeintervalinseconds`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the time interval in seconds for AD FS to track multiple token requests that are occurring and being rejected by the relying party causing a redirect back to AD FS for a new token request. Use in conjunction with the LoopDetectionMaximumTokensIssuedInInterval parameter.

##### `dsc_monitoringinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the frequency, in minutes, with which the Federation Service monitors the federation metadata of relying parties and claims providers that are enabled for federation metadata monitoring.

##### `dsc_nettcpport`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the TCP port number for the server.

##### `dsc_ntlmonlysupportedclientatproxy`

Data type: `Optional[Boolean]`

Indicates whether to enable support for NTLM-based authentication in situations where the active federation server proxy does not support Negotiate method of authentication. This setting only affects the Windows transport endpoint.

##### `dsc_persistentssocutofftime`

Data type: `Optional[Timestamp]`

Specifies the earliest issue time of accepted persistent single sign-on (SSO) tokens and OAuth refresh tokens. Persistent SSO tokens or OAuth refresh tokens issued before this time will be rejected. Use this only to reject all prior SSO state across all users and force users to provide fresh credentials.

##### `dsc_persistentssolifetimemins`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the duration, in minutes, of the persistent SSO experience.

##### `dsc_preventtokenreplays`

Data type: `Optional[Boolean]`

Indicates whether the Federation Service prevents the replay of security tokens.

##### `dsc_proxytrusttokenlifetime`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the valid token lifetime, in minutes, for proxy trust tokens. This value is used by the federation server proxy to authenticate with its associated federation server.

##### `dsc_replaycacheexpirationinterval`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the cache duration, in minutes, for token replay detection. This value determines the lifetime for tokens in the replay cache. When the age of a cached token exceeds this interval, the Federation Service determines the token has expired and does not allow replay of it.

##### `dsc_samlmessagedeliverywindow`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the duration, in minutes, for which the Security Assertion Markup Language (SAML) messages sent by the Federation Service are considered valid.

##### `dsc_sendclientrequestidasquerystringparameter`

Data type: `Optional[Boolean]`

Indicates whether the client request id, or activity id, is sent as a query string on any redirect from AD FS that is sent to itself. This enables all servers in AD FS to use the same client request id when logging any messages in eventlogs, traces and audits. As a result, it is easier to troubleshoot a single request across multiple AD FS servers in the farm. The default value is $True.

##### `dsc_signedsamlrequestsrequired`

Data type: `Optional[Boolean]`

Indicates whether the Federation Service requires signed SAML protocol requests from the relying party. If you specify a value of $True, the Federation Service rejects unsigned SAML protocol requests.

##### `dsc_signsamlauthnrequests`

Data type: `Optional[Boolean]`

Indicates whether the Federation Service signs SAML protocol authentication requests to claims providers.

##### `dsc_ssolifetime`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the duration, in minutes, of the single sign-on (SSO) experience for Web browser clients.

##### `dsc_tlsclientport`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the port number where AD FS listens for user certificate authentication requests. Use this only when user certificate authentication is used in AD FS.

##### `dsc_wiasupporteduseragents`

Data type: `Optional[Array[String]]`

Specifies an array of acceptable user agents that support seamless sign-in with Windows Integrated Authentication. If AD FS receives a token request and policy selects Windows Integrated Authentication, AD FS uses this list to determine if it needs to fall back to forms-based authentication. When the user agent for the incoming request is not in this list, AD FS falls back to forms-based authentication.

#### Parameters

The following parameters are available in the `dsc_adfsproperties` type.

* [`dsc_federationservicename`](#dsc_federationservicename)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_federationservicename"></a>`dsc_federationservicename`

namevar

Data type: `String`

Specifies the DNS name of the federation service.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfsrelyingpartytrust"></a>`dsc_adfsrelyingpartytrust`

The DSC AdfsRelyingPartyTrust resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfsrelyingpartytrust` type.

##### `dsc_accesscontrolpolicyname`

Data type: `Optional[String]`

Specifies the name of an access control policy.

##### `dsc_accesscontrolpolicyparameters`

Data type: `Optional[Struct[{
              groupparameter => Optional[Array[String]],
            }]]`

Specifies the parameters and their values to pass to the Access Control Policy.

##### `dsc_additionalauthenticationrules`

Data type: `Optional[String]`

Specifies the additional authorization rules to require additional authentication based on user, device and location attributes after the completion of the first step of authentication. Note: These rules must only be configured after there is at least one authentication provider enabled for additional authentication.

##### `dsc_additionalwsfedendpoint`

Data type: `Optional[Array[String]]`

Specifies an array of alternate return addresses for the application. This is typically used when the application wants to indicate to AD FS what the return URL should be on successful token generation. AD FS requires that all acceptable URLs are entered as trusted information by the administrator.

##### `dsc_allowedauthenticationclassreferences`

Data type: `Optional[Array[String]]`

Specifies an array of allow authentication class references.

##### `dsc_allowedclienttypes`

Data type: `Optional[Array[Enum['None', 'Public', 'Confidential']]]`

Specifies allowed client types.

##### `dsc_alwaysrequireauthentication`

Data type: `Optional[Boolean]`

Indicates to always require authentication.

##### `dsc_autoupdateenabled`

Data type: `Optional[Boolean]`

Indicates whether changes to the federation metadata by the MetadataURL parameter apply automatically to the configuration of the trust relationship. If this parameter has a value of True, partner claims, certificates, and endpoints are updated automatically.

##### `dsc_claimaccepted`

Data type: `Optional[Array[String]]`

Specifies an array of claims that this relying party accepts.

##### `dsc_claimsprovidername`

Data type: `Optional[Array[String]]`

Specifies the name of the claim provider.

##### `dsc_delegationauthorizationrules`

Data type: `Optional[String]`

Specifies the delegation authorization rules for issuing claims to this relying party.

##### `dsc_enabled`

Data type: `Optional[Boolean]`

Indicates whether the relying party trust is enabled.

##### `dsc_enablejwt`

Data type: `Optional[Boolean]`

Indicates whether the JSON Web Token (JWT) format should be used to issue a token on a WS-Federation request. By default, SAML tokens are issued over WS-Federation.

##### `dsc_encryptclaims`

Data type: `Optional[Boolean]`

Indicates whether the claims that are sent to the relying party are encrypted.

##### `dsc_encryptednameidrequired`

Data type: `Optional[Boolean]`

Indicates whether the relying party requires that the NameID claim be encrypted.

##### `dsc_encryptioncertificaterevocationcheck`

Data type: `Optional[Enum['None', 'CheckEndCert', 'CheckEndCertCacheOnly', 'CheckChain', 'CheckChainCacheOnly', 'CheckChainExcludeRoot', 'CheckChainExcludeRootCacheOnly']]`

Specifies the type of validation that should occur for the encryption certificate it is used for encrypting claims to the relying party.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether to remove or add the relying party trust.

##### `dsc_identifier`

Data type: `Optional[Array[String]]`

Specifies the unique identifiers for this relying party trust. No other trust can use an identifier from this list. Uniform Resource Identifiers (URIs) are often used as unique identifiers for a relying party trust, but you can use any string of characters.

##### `dsc_impersonationauthorizationrules`

Data type: `Optional[String]`

Specifies the impersonation authorization rules for issuing claims to this relying party.

##### `dsc_issuanceauthorizationrules`

Data type: `Optional[String]`

Specifies the issuance authorization rules for issuing claims to this relying party.

##### `dsc_issuancetransformrules`

Data type: `Optional[Array[Struct[{
              customrule => Optional[String],
              templatename => Enum['LdapClaims', 'EmitGroupClaims', 'CustomClaims'],
              attributestore => Optional[String],
              outgoingnameidformat => Optional[String],
              name => String,
              groupname => Optional[String],
              outgoingclaimvalue => Optional[String],
              ldapmapping => Array[Struct[{
                outgoingclaimtype => String,
                ldapattribute => String,
                cim_instance_type => Enum['MSFT_AdfsLdapMapping']
              }]],
              outgoingclaimtype => Optional[String]
            }]]]`

Specifies the issuance transform rules for issuing claims to this relying party.

##### `dsc_issueoauthrefreshtokensto`

Data type: `Optional[Enum['NoDevice', 'WorkplaceJoinedDevices', 'AllDevices']]`

Specifies the refresh token issuance device types.

##### `dsc_metadataurl`

Data type: `Optional[String]`

Specifies a URL at which the federation metadata for this relying party trust is available.

##### `dsc_monitoringenabled`

Data type: `Optional[Boolean]`

Indicates whether periodic monitoring of this relying party federation metadata is enabled. The MetadataUrl parameter specifies the URL of the relying party federation metadata.

##### `dsc_notbeforeskew`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the skew, as in integer, for the time stamp that marks the beginning of the validity period.

##### `dsc_notes`

Data type: `Optional[String]`

Specifies notes for this relying party trust.

##### `dsc_protocolprofile`

Data type: `Optional[Enum['SAML', 'WsFederation', 'WsFed-SAML']]`

Specifies which protocol profiles the relying party supports.

##### `dsc_refreshtokenprotectionenabled`

Data type: `Optional[Boolean]`

Indicates whether refresh token protection is enabled.

##### `dsc_requestmfafromclaimsproviders`

Data type: `Optional[Boolean]`

Indicates whether to use the request MFA from claims providers option.

##### `dsc_samlendpoint`

Data type: `Optional[Array[Struct[{
              binding => Optional[Enum['Artifact', 'POST', 'Redirect', 'SOAP']],
              uri => Optional[String],
              index => Optional[Integer[-2147483648, 2147483647]],
              responseuri => Optional[String],
              isdefault => Optional[Boolean],
              protocol => Optional[Enum['SAMLArtifactResolution', 'SAMLAssertionConsumer', 'SAMLLogout', 'SAMLSingleSignOn']]
            }]]]`

Specifies an array of Security Assertion Markup Language (SAML) protocol endpoints for this relying party.

##### `dsc_samlresponsesignature`

Data type: `Optional[Enum['AssertionOnly', 'MessageAndAssertion', 'MessageOnly']]`

Specifies the response signature or signatures that the relying party expects.

##### `dsc_signaturealgorithm`

Data type: `Optional[Enum['http://www.w3.org/2000/09/xmldsig#rsa-sha1', 'http://www.w3.org/2001/04/xmldsig-more#rsa-sha256']]`

Specifies the signature algorithm that the relying party uses for signing and verification.

##### `dsc_signedsamlrequestsrequired`

Data type: `Optional[Boolean]`

Indicates whether the Federation Service requires signed SAML protocol requests from the relying party. If you specify a value of True, the Federation Service rejects unsigned SAML protocol requests.

##### `dsc_signingcertificaterevocationcheck`

Data type: `Optional[Enum['None', 'CheckEndCert', 'CheckEndCertCacheOnly', 'CheckChain', 'CheckChainCacheOnly', 'CheckChainExcludeRoot', 'CheckChainExcludeRootCacheOnly']]`

Specifies the type of certificate validation that occur when signatures on requests from the relying party are verified.

##### `dsc_tokenlifetime`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the duration, in minutes, for which the claims that are issued to the relying party are valid.

##### `dsc_wsfedendpoint`

Data type: `Optional[String]`

Specifies the WS-Federation Passive URL for this relying party.

#### Parameters

The following parameters are available in the `dsc_adfsrelyingpartytrust` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Specifies the friendly name of this relying party trust.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfssslcertificate"></a>`dsc_adfssslcertificate`

The DSC AdfsSslCertificate resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfssslcertificate` type.

##### `dsc_thumbprint`

Data type: `String`

Specifies the thumbprint of the certificate to use.

#### Parameters

The following parameters are available in the `dsc_adfssslcertificate` type.

* [`dsc_certificatetype`](#dsc_certificatetype)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`dsc_remotecredential`](#dsc_remotecredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_certificatetype"></a>`dsc_certificatetype`

namevar

Data type: `Enum['Https-Binding']`

Specifies the certificate type, must be 'Https-Binding'.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="dsc_remotecredential"></a>`dsc_remotecredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Specifies the credential to use to connect to WinRM on all the members of the ADFS farm.

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_adfswebapiapplication"></a>`dsc_adfswebapiapplication`

The DSC AdfsWebApiApplication resource type.
Automatically generated from version 1.1.0

#### Properties

The following properties are available in the `dsc_adfswebapiapplication` type.

##### `dsc_accesscontrolpolicyname`

Data type: `Optional[String]`

Specifies the name of an access control policy.

##### `dsc_accesscontrolpolicyparameters`

Data type: `Optional[Struct[{
              groupparameter => Optional[Array[String]],
            }]]`

Specifies the parameters and their values to pass to the Access Control Policy.

##### `dsc_additionalauthenticationrules`

Data type: `Optional[String]`

Specifies additional authentication rules.

##### `dsc_allowedauthenticationclassreferences`

Data type: `Optional[Array[String]]`

Specifies an array of allow authentication class references.

##### `dsc_allowedclienttypes`

Data type: `Optional[Array[Enum['None', 'Public', 'Confidential']]]`

Specifies allowed client types.

##### `dsc_alwaysrequireauthentication`

Data type: `Optional[Boolean]`

Indicates that this Web API application role always requires authentication, even if it previously authenticated credentials for access. Specify this parameter to require users to always supply credentials to access sensitive resources.

##### `dsc_applicationgroupidentifier`

Data type: `String`

Specifies the ID of an application group for the Web API application.

##### `dsc_claimsprovidername`

Data type: `Optional[Array[String]]`

Specifies an array of claims provider names that you can configure for a relying party trust for Home Realm Discovery (HRD) scenario.

##### `dsc_delegationauthorizationrules`

Data type: `Optional[String]`

Specifies delegation authorization rules.

##### `dsc_description`

Data type: `Optional[String]`

Specifies a description for the Web API application.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Specifies whether the Web API application should be present or absent. Default value is 'Present'.

##### `dsc_identifier`

Data type: `Array[String]`

Specifies an identifier for the Web API application.

##### `dsc_impersonationauthorizationrules`

Data type: `Optional[String]`

Specifies the impersonation authorization rules.

##### `dsc_issuanceauthorizationrules`

Data type: `Optional[String]`

Specifies the issuance authorization rules.

##### `dsc_issuancetransformrules`

Data type: `Optional[Array[Struct[{
              customrule => Optional[String],
              templatename => Enum['LdapClaims', 'EmitGroupClaims', 'CustomClaims'],
              attributestore => Optional[String],
              outgoingnameidformat => Optional[String],
              name => String,
              groupname => Optional[String],
              outgoingclaimvalue => Optional[String],
              ldapmapping => Array[Struct[{
                outgoingclaimtype => String,
                ldapattribute => String,
                cim_instance_type => Enum['MSFT_AdfsLdapMapping']
              }]],
              outgoingclaimtype => Optional[String]
            }]]]`

Specifies the issuance transform rules.

##### `dsc_issueoauthrefreshtokensto`

Data type: `Optional[Enum['NoDevice', 'WorkplaceJoinedDevices', 'AllDevices']]`

Specifies the refresh token issuance device types.

##### `dsc_notbeforeskew`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the not before skew value.

##### `dsc_refreshtokenprotectionenabled`

Data type: `Optional[Boolean]`

Indicates whether refresh token protection is enabled.

##### `dsc_requestmfafromclaimsproviders`

Data type: `Optional[Boolean]`

Indicates that the request MFA from claims providers option is used.

##### `dsc_tokenlifetime`

Data type: `Optional[Integer[-2147483648, 2147483647]]`

Specifies the token lifetime.

#### Parameters

The following parameters are available in the `dsc_adfswebapiapplication` type.

* [`dsc_name`](#dsc_name)
* [`dsc_psdscrunascredential`](#dsc_psdscrunascredential)
* [`name`](#name)
* [`validation_mode`](#validation_mode)

##### <a name="dsc_name"></a>`dsc_name`

namevar

Data type: `String`

Specifies a name for the Web API application.

##### <a name="dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

