@{

# Script module or binary module file associated with this manifest.
# RootModule = ''

# Version number of this module.
ModuleVersion = '1.1.0'

# Supported PSEditions
# CompatiblePSEditions = @()

# ID used to uniquely identify this module
GUID = '1cbcddd7-852b-459d-8e4c-01bd72b0866f'

# Author of this module
Author = 'Simon Heather'

# Company or vendor of this module
CompanyName = 'Guardian-Teck Ltd'

# Copyright statement for this module
Copyright = '(c) 2019 Guardian-Teck Ltd. All rights reserved.'

# Description of the functionality provided by this module
Description = 'The AdfsDsc module contains DSC resources for deployment and configuration of Active Directory Federation Services.'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '5.1'

# Name of the Windows PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the Windows PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
# DotNetFrameworkVersion = ''

# Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
CLRVersion = '4.0'

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
# RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
# FormatsToProcess = @()

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
# NestedModules = @()

# Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
FunctionsToExport = @()

# Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
CmdletsToExport = @()

# Variables to export from this module
# VariablesToExport = @()

# Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
AliasesToExport = @()

# DSC resources to export from this module
DscResourcesToExport = @('AdfsApplicationGroup','AdfsApplicationPermission','AdfsCertificate','AdfsClaimDescription','AdfsContactPerson','AdfsFarm','AdfsFarmNode','AdfsGlobalAuthenticationPolicy','AdfsGlobalWebContent','AdfsNativeClientApplication','AdfsOrganization','AdfsProperties','AdfsRelyingPartyTrust','AdfsSslCertificate','AdfsWebApiApplication','MSFT_AdfsApplicationGroup','MSFT_AdfsApplicationPermission','MSFT_AdfsCertificate','MSFT_AdfsClaimDescription','MSFT_AdfsContactPerson','MSFT_AdfsFarm','MSFT_AdfsFarmNode','MSFT_AdfsGlobalAuthenticationPolicy','MSFT_AdfsGlobalWebContent','MSFT_AdfsNativeClientApplication','MSFT_AdfsOrganization','MSFT_AdfsProperties','MSFT_AdfsRelyingPartyTrust','MSFT_AdfsSslCertificate','MSFT_AdfsWebApiApplication')

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = 'DesiredStateConfiguration','DSC','DSCResource'

        # A URL to the license for this module.
        LicenseUri = 'https://github.com/X-Guardian/AdfsDsc/blob/master/LICENSE'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/X-Guardian/AdfsDsc'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = '## [1.1.0] - 2020-12-22

### Added

- AdfsContactPerson
  - Added empty contact support
  ([issue #27](https://github.com/X-Guardian/AdfsDsc/issues/27)).
- AdfsFarm
  - Added `AdminConfiguration` parameter ([issue #42](https://github.com/X-Guardian/AdfsDsc/issues/42)).
- AdfsGlobalAuthenticationPolicy
  - Added integration tests.
- AdfsOrganization
  - Added empty organization support
  ([issue #30](https://github.com/X-Guardian/AdfsDsc/issues/30)).
  - Added integration tests.
- AdfsProperties
  - Added integration tests.

### Removed

- AdfsProperties
  - Removed obsolete properties `PromptLoginFederation` and `PromptLoginFallbackAuthenticationType`
  ([issue #34](https://github.com/X-Guardian/AdfsDsc/issues/34)).
- AdfsFarmNode
  - Removed `Ensure` Parameter as `Remove-AdfsFarmNode` cmdlet is deprecated
  ([issue #36](https://github.com/X-Guardian/AdfsDsc/issues/36)).

## 1.0.0

### Added

- AdfsWebApiApplication
  - Added support for access control policy parameters
  ([issue #19](https://github.com/X-Guardian/AdfsDsc/issues/19)).
- AdfsRelyingPartyTrust
  - Added missing parameters
  ([issue #15](https://github.com/X-Guardian/AdfsDsc/issues/15)).
  - Added support for access control policies and parameters
  ([issue #2](https://github.com/X-Guardian/AdfsDsc/issues/2)).
  - Added support for SAML endpoints
  ([issue #3](https://github.com/X-Guardian/AdfsDsc/issues/3)).

## 0.1.38-alpha

- Initial release
'

        # Prerelease string of this module
        Prerelease = ''

        # Flag to indicate whether the module requires explicit user acceptance for install/update/save
        # RequireLicenseAcceptance = $false

        # External dependent modules of this module
        # ExternalModuleDependencies = @()

    } # End of PSData hashtable

 } # End of PrivateData hashtable

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
# DefaultCommandPrefix = ''

}




